## libapogee3 3.2%2B20221221183454

=== debian/control ===
Source: libapogee3
Section: libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libcurl4-gnutls-dev
	, libusb-1.0-0-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/indilib/indi-3rdparty/tree/master/libapogee
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libapogee3
Vcs-Git: https://salsa.debian.org/debian-astro-team/libapogee3.git

Package: libapogee3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Apogee Library for camera control
 This package contains the standalone version of the Apogee device drivers
 for Linux. It is primarily intended for developers wishing to add Apogee
 camera control options to their software. It can also be used to control
 Apogee CCDs and Filter Wheels.
 .
 This package includes the library.

Package: libapogee-dev
Section: libdevel
Architecture: any
Depends: libapogee3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Apogee Library for camera control, development headers
 This package contains the standalone version of the Apogee device drivers
 for Linux. It is primarily intended for developers wishing to add Apogee
 camera control options to their software. It can also be used to control
 Apogee CCDs and Filter Wheels.
 .
 This package includes development headers.
