## libapogee3 3.2+20220127213450

=== debian/changelog ===
libapogee3 (3.2+20220127213450-1) unstable; urgency=medium

  * build version from git
  * all patches applied upstream
  * debian/libapogee3.install: rules file moved to lib/...

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 27 Jan 2022 22:05:46 +0000

libapogee3 (3.2-2) unstable; urgency=medium

  * source upload
  * debian/control: set maintainer to debian-astro
  * debian/control: set Vcs-*

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Oct 2021 19:00:00 +0200

libapogee3 (3.2-1) unstable; urgency=medium

  * initial upload

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 05 Oct 2021 19:00:00 +0200
