## libapogee3 3.2+20220606235519

=== debian/changelog ===
libapogee3 (3.2+20220606235519-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Jun 2022 23:55:38 +0000
