## libapogee3 3.2+20221221183454

=== debian/changelog ===
libapogee3 (3.2+20221221183454-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113111)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:43:01 +0200

libapogee3 (3.2+20221221183454-2) unstable; urgency=medium

  * ack NMU
  * Move files to /usr and mitigate file loss. (Closes: #1057800)
    (Thanks to Helmut Grohne for the patch)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 May 2024 21:36:16 +0000

libapogee3 (3.2+20221221183454-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062220

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:39:11 +0000

libapogee3 (3.2+20221221183454-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 3.2

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 18:36:16 +0000
