=== debian/control ===
--- 
+++ 
@@ -3,20 +3,24 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 	, cmake
 	, libindi-dev
 	, libcurl4-gnutls-dev
 	, libusb-1.0-0-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/indilib/indi-3rdparty/tree/master/libapogee
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libapogee3
 Vcs-Git: https://salsa.debian.org/debian-astro-team/libapogee3.git
 
-Package: libapogee3
+Package: libapogee3t64
+Provides: ${t64:Provides}
+Replaces: libapogee3
+Conflicts: libapogee3 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Apogee Library for camera control
  This package contains the standalone version of the Apogee device drivers
  for Linux. It is primarily intended for developers wishing to add Apogee
@@ -28,7 +32,7 @@
 Package: libapogee-dev
 Section: libdevel
 Architecture: any
-Depends: libapogee3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libapogee3t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Apogee Library for camera control, development headers
  This package contains the standalone version of the Apogee device drivers
  for Linux. It is primarily intended for developers wishing to add Apogee
